# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
  - 'on': [ 'Linux', 'FreeBSD', 'Windows', 'Android' ]
    'require':
      'frameworks/extra-cmake-modules': '@latest-kf6'
      'frameworks/ki18n': '@latest-kf6'
      'frameworks/kirigami': '@latest-kf6'
      'frameworks/kcoreaddons': '@latest-kf6'
      'frameworks/knotifications': '@latest-kf6'
      'frameworks/kconfig': '@latest-kf6'
      'frameworks/kcolorscheme': '@latest-kf6'
      'frameworks/kitemmodels': '@latest-kf6'
      'frameworks/kdeclarative': '@latest-kf6'
      'libraries/kirigami-addons': '@latest-kf6'
      'third-party/qtkeychain': '@latest'

  - 'on': [ 'Linux', 'FreeBSD', 'Windows' ]
    'require':
      'frameworks/kcrash': '@latest-kf6'
      'frameworks/qqc2-desktop-style': '@latest-kf6'

  - 'on': [ 'Linux', 'FreeBSD', 'Android' ]
    'require':
      'libraries/kunifiedpush': '@latest-kf6'
      'libraries/mpvqt': '@latest'

  - 'on': [ 'Linux', 'FreeBSD' ]
    'require':
      'frameworks/kdbusaddons': '@latest-kf6'
      'frameworks/kwindowsystem': '@latest-kf6'
      'frameworks/kio': '@latest-kf6'
      'frameworks/purpose': '@latest-kf6'

  - 'on': ['Linux']
    'require':
      'sdk/selenium-webdriver-at-spi': '@latest'

Options:
  require-passing-tests-on: [ '@all' ]
